import { FollowButton } from "@/components/follow-button"
import { Icons } from "@/components/icons"
import { AspectRatio } from "@/components/ui/aspect-ratio"
import { UserAvatar } from "@/components/user-avatar"
import { getCurrentUser } from "@/lib/session"
import Image from "next/image"
import Link from "next/link"
import { IUser } from "../types"
import { following } from "../utils/following"
import { EditProfileModal } from "./edit-profile-modal"
import { UserJoinDate } from "./user-join-date"

export const ProfileUserInfo = async ({ user }: { user: IUser }) => {
    const session = await getCurrentUser()

    // const isFollowing = following({
    //     user,
    //     sessionUserId: session ? session.id : "",
    // })

    return (
        <>
            {/* <div className="h-64 overflow-hidden">
                <AspectRatio ratio={889 / 500} className="bg-slate-600  dark:bg-slate-400">
                    {user.banner &&
                        <Image
                            src={user.banner}
                            alt={"user banner image"}
                            fill
                            priority
                            className="object-center"
                        />
                    }
                </AspectRatio>
            </div>
            <div className="p-6 md:p-12 ss:flex">
                <UserAvatar
                    user={{ username: user.username, image: user.image || null }}
                    className="h-52 w-52 -mt-36"
                />

                <div className="ml-6 md:ml-12 space-y-3">
                    <h1 className="text-2xl font-bold">{user.name}</h1>
                    <h1 className="text-md text-sky-500">@{user.username}</h1>
                    {user.bio && <h1 className="">{user.bio}</h1>}
                    {user.location &&
                        <div className="space-x-2">
                            <Icons.location />
                            {user.location}
                        </div>
                    }
                    {user.website &&
                        <div className="space-x-2">
                            <Icons.website />
                            {user.website}
                        </div>
                    }
                    {user.createdAt && <UserJoinDate date={user.createdAt} />}
                </div>

                <div className="flex justify-end ml-6 md:ml-12">
                    {session?.id === user.id ? (
                        <EditProfileModal user={user} />
                    ) : (
                        <FollowButton userId={user.id} username={user.username ? user.username : ""} isFollowing={isFollowing} />
                    )}
                </div>

                <div className="flex justify-between w-full mt-6 md:mt-12">
                    <Link href={`/${user.username}/following`}>
                        <span className="text-sm">{user._count?.following}</span>
                        <span className="text-sm">Following</span>
                    </Link>

                    <Link href={`/${user.username}/followers`}>
                        <span className="text-sm">{user._count?.followers}</span>
                        <span className="text-sm">Followers</span>
                    </Link>
                </div>
            </div> */}
        </ >
    )
}