import { Icons } from "@/components/icons"
import dayjs from "dayjs"

export const UserJoinDate = ({
    date,
    showIcon = true,
}: {
    date: Date | undefined
    showIcon?: boolean
}) => {
    return (
        <div className="">
            {showIcon && (<Icons.calendar />)}
            <span className="">
                Joined {dayjs(date).format("MMMM YYYY")}
            </span>
        </div>
    )
}